Bug 1196037 - Review Request: google-http-java-client - Google HTTP Client Library for Java
Summary: Review Request: google-http-java-client - Google HTTP Client Library for Java
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1106256 1196043 1239703
Blocks: 1196039
TreeView+ depends on / blocked
 
Reported: 2015-02-25 07:11 UTC by gil cattaneo
Modified: 2016-10-03 16:00 UTC (History)
3 users (show)

Fixed In Version: google-http-java-client-1.22.0-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-03 16:00:38 UTC
Type: ---
gwync: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2015-02-25 07:11:54 UTC
Spec URL: https://gil.fedorapeople.org/google-http-java-client.spec
SRPM URL: https://gil.fedorapeople.org/google-http-java-client-1.19.0-1.fc20.src.rpm
Description:
Google HTTP Client Library for Java. Functionality
that works on all supported Java platforms,
including Java 5 (or higher) desktop (SE) and
web (EE), Android, and Google App Engine.

Fedora Account System Username: gil

Comment 1 Steven Hadfield 2015-10-02 15:51:40 UTC
There's a few more things to verify, but here's an initial review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Newer version (1.20) is available 
- Unit tests that fail are removed; Are they fixed in the newer versiion or can they be patched?

===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache (v2.0)". 
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/google-http-java-client
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/google-
     http-java-client
[ ]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
     Should any of the build requires be marked as requirements for the package (such as common-codecs?)
[-]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[ ]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in google-
     http-java-client-gson , google-http-java-client-jackson , google-http-
     java-client-jackson2 , google-http-java-client-jdo , google-http-java-
     client-protobuf , google-http-java-client-test , google-http-java-
     client-xml , google-http-java-client-javadoc
[ ]: Package functions as described.
[!]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: google-http-java-client-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-gson-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-jackson-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-jackson2-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-jdo-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-protobuf-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-test-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-xml-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-javadoc-1.19.0-1.fc22.noarch.rpm
          google-http-java-client-1.19.0-1.fc22.src.rpm
google-http-java-client.noarch: W: no-documentation
google-http-java-client-gson.noarch: W: no-documentation
google-http-java-client-jackson.noarch: W: no-documentation
google-http-java-client-jackson2.noarch: W: no-documentation
google-http-java-client-jdo.noarch: W: no-documentation
google-http-java-client-protobuf.noarch: W: no-documentation
google-http-java-client-test.noarch: W: no-documentation
google-http-java-client-xml.noarch: W: no-documentation
10 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
google-http-java-client-test.noarch: W: no-documentation
google-http-java-client-xml.noarch: W: no-documentation
google-http-java-client-gson.noarch: W: no-documentation
google-http-java-client.noarch: W: no-documentation
google-http-java-client-jdo.noarch: W: no-documentation
google-http-java-client-jackson.noarch: W: no-documentation
google-http-java-client-jackson2.noarch: W: no-documentation
google-http-java-client-protobuf.noarch: W: no-documentation
9 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
google-http-java-client-test (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.http-client:google-http-client)
    mvn(junit:junit)

google-http-java-client-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

google-http-java-client-xml (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.http-client:google-http-client)
    mvn(xpp3:xpp3)

google-http-java-client-gson (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.code.gson:gson)
    mvn(com.google.http-client:google-http-client)

google-http-java-client (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.code.findbugs:jsr305)
    mvn(commons-codec:commons-codec)
    mvn(org.apache.httpcomponents:httpclient)

google-http-java-client-jdo (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.http-client:google-http-client)
    mvn(javax.jdo:jdo2-api)

google-http-java-client-jackson (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.http-client:google-http-client)
    mvn(org.codehaus.jackson:jackson-core-asl)

google-http-java-client-jackson2 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.fasterxml.jackson.core:jackson-core)
    mvn(com.google.http-client:google-http-client)

google-http-java-client-protobuf (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.http-client:google-http-client)
    mvn(com.google.protobuf:protobuf-java)



Provides
--------
google-http-java-client-test:
    google-http-java-client-test
    mvn(com.google.http-client:google-http-client-test)
    mvn(com.google.http-client:google-http-client-test:pom:)

google-http-java-client-javadoc:
    google-http-java-client-javadoc

google-http-java-client-xml:
    google-http-java-client-xml
    mvn(com.google.http-client:google-http-client-xml)
    mvn(com.google.http-client:google-http-client-xml:pom:)

google-http-java-client-gson:
    google-http-java-client-gson
    mvn(com.google.http-client:google-http-client-gson)
    mvn(com.google.http-client:google-http-client-gson:pom:)

google-http-java-client:
    google-http-java-client
    mvn(com.google.http-client:google-http-client)
    mvn(com.google.http-client:google-http-client-parent:pom:)
    mvn(com.google.http-client:google-http-client:pom:)

google-http-java-client-jdo:
    google-http-java-client-jdo
    mvn(com.google.http-client:google-http-client-jdo)
    mvn(com.google.http-client:google-http-client-jdo:pom:)

google-http-java-client-jackson:
    google-http-java-client-jackson
    mvn(com.google.http-client:google-http-client-jackson)
    mvn(com.google.http-client:google-http-client-jackson:pom:)

google-http-java-client-jackson2:
    google-http-java-client-jackson2
    mvn(com.google.http-client:google-http-client-jackson2)
    mvn(com.google.http-client:google-http-client-jackson2:pom:)

google-http-java-client-protobuf:
    google-http-java-client-protobuf
    mvn(com.google.http-client:google-http-client-protobuf)
    mvn(com.google.http-client:google-http-client-protobuf:pom:)



Source checksums
----------------
https://github.com/google/google-http-java-client/archive/1.19.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2742d8ee9e6e8da2ce9ccbf6242ca37bb2a7841baaa5cbe4ede5f3516b05df11
  CHECKSUM(SHA256) upstream package : 2742d8ee9e6e8da2ce9ccbf6242ca37bb2a7841baaa5cbe4ede5f3516b05df11

Comment 2 Upstream Release Monitoring 2015-10-02 16:45:40 UTC
gil's scratch build of google-http-java-client-1.20.0-1.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11311399

Comment 3 gil cattaneo 2015-10-02 16:54:17 UTC
(In reply to Steven Hadfield from comment #1)
> There's a few more things to verify, but here's an initial review:

> Issues:
> =======
> - Newer version (1.20) is available 
> - Unit tests that fail are removed; Are they fixed in the newer versiion or
> can they be patched?
i don't think so

> [ ]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/maven-poms/google-http-java-client
> [ ]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/maven-poms/google-
>      http-java-client

NOT needed in F23 and rawhide, automatic added by our Java tools

> [ ]: Requires correct, justified where necessary.
>      Should any of the build requires be marked as requirements for the
> package (such as common-codecs?)

Requirement list is generated by xmvn

> [x]: Packages have proper BuildRequires/Requires on jpackage-utils
>      Note: Maven packages do not need to (Build)Require jpackage-utils. It
>      is pulled in by maven-local

> [!]: Latest version is packaged.
Done

> [!]: %check is present and all tests pass.
tests suite is running in maven mode

Comment 4 Upstream Release Monitoring 2015-10-02 16:58:43 UTC
gil's scratch build of google-http-java-client-1.20.0-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11311603

Comment 7 Upstream Release Monitoring 2015-11-06 14:31:17 UTC
gil's scratch build of google-http-java-client-1.20.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11727087

Comment 10 Gwyn Ciesla 2016-10-01 00:36:08 UTC
- rpmlint checks return:

The package contains no documentation (README, doc, etc). You have to include
documentation files.

Would be nice but may not exist individually for each subpackage.

- package meets naming guidelines
- package meets packaging guidelines
- license ( ASL 2.0 ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 


Very clean.

APPROVED.

Comment 11 gil cattaneo 2016-10-01 01:15:53 UTC
Thanks for the review!

create new SCM request:
https://admin.fedoraproject.org/pkgdb/package/requests/8065

Comment 12 Gwyn Ciesla 2016-10-03 13:41:57 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/google-http-java-client

Comment 13 gil cattaneo 2016-10-03 16:00:38 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15925834


Note You need to log in before you can comment on or make changes to this bug.